Package ghidra.app.plugin.assembler.sleigh.sem

# Class AssemblyResolvedError

java.lang.Object
ghidra.app.plugin.assembler.sleigh.sem.AssemblyResolution
ghidra.app.plugin.assembler.sleigh.sem.AssemblyResolvedError

All Implemented Interfaces:
  `Comparable<AssemblyResolution>`

public class AssemblyResolvedError extends AssemblyResolution
A `AssemblyResolution` indicating the occurrence of a (usually semantic) error

The description should indicate where the error occurred. The error message should explain the actual error. To help the user diagnose the nature of the error, errors in sub-constructors should be placed as children of an error given by the parent constructor.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final String`
  `error`

  ### Fields inherited from class ghidra.app.plugin.assembler.sleigh.sem.AssemblyResolution

  `children, description, right`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `computeHash()`
  `boolean`
  `equals(Object obj)`
  `String`
  `getError()`
  Get a description of the error
  `boolean`
  `isBackfill()`
  Check if this record describes a backfill
  `boolean`
  `isError()`
  Check if this record describes an error
  `String`
  `lineToString()`
  Display the resolution result in one line (omitting child details)
  `AssemblyResolution`
  `parent(String description, int opCount)`
  Get this same resolution, pushing its right siblings down to its children
  `AssemblyResolution`
  `shift(int amt)`
  Shift the resolution's instruction pattern to the right, if applicable
  `AssemblyResolution`
  `withRight(AssemblyResolution right)`
  Get this same resolution, but with the given right sibling

  ### Methods inherited from class ghidra.app.plugin.assembler.sleigh.sem.AssemblyResolution

  `backfill, childrenToString, collectAllRight, compareTo, contextOnly, error, error, error, fromPattern, getAllRight, hasChildren, hashCode, instrOnly, nop, nop, resolved, toString, toString, withoutRight`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### error

    protected final String error

- ## Method Details

  - ### computeHash

    protected int computeHash()
    Specified by:
      `computeHash` in class `AssemblyResolution`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### isError

    public boolean isError()
    Description copied from class: `AssemblyResolution`
    Check if this record describes an error
    Specified by:
      `isError` in class `AssemblyResolution`
    Returns:
      true if the record is an error

  - ### isBackfill

    public boolean isBackfill()
    Description copied from class: `AssemblyResolution`
    Check if this record describes a backfill
    Specified by:
      `isBackfill` in class `AssemblyResolution`
    Returns:
      true if the record is a backfill

  - ### getError

    public String getError()
    Get a description of the error
    Returns:
      the description

  - ### lineToString

    public String lineToString()
    Description copied from class: `AssemblyResolution`
    Display the resolution result in one line (omitting child details)
    Specified by:
      `lineToString` in class `AssemblyResolution`
    Returns:
      the display description

  - ### shift

    public AssemblyResolution shift(int amt)
    Description copied from class: `AssemblyResolution`
    Shift the resolution's instruction pattern to the right, if applicable

    This also shifts any backfill and forbidden pattern records.

    Specified by:
      `shift` in class `AssemblyResolution`
    Parameters:
      `amt` - the number of bytes to shift.
    Returns:
      the result

  - ### withRight

    public AssemblyResolution withRight(AssemblyResolution right)
    Description copied from class: `AssemblyResolution`
    Get this same resolution, but with the given right sibling
    Specified by:
      `withRight` in class `AssemblyResolution`
    Returns:
      the resolution

  - ### parent

    public AssemblyResolution parent(String description, int opCount)
    Description copied from class: `AssemblyResolution`
    Get this same resolution, pushing its right siblings down to its children
    Specified by:
      `parent` in class `AssemblyResolution`